function CstNewComponent(fid,CComponent)
global mws component;

    %Component.New "component1"
    %CstNewComponent(fid,'component1')

    % Vytvoreni nove komponenty
    fprintf(fid, '%% Vytvoreni nove komponenty\n');
    fprintf(fid, 'component = mws.invoke(''Component'');\n');
    fprintf(fid, ['component.invoke(''New'',''',CComponent,''');\n\n']);

    % Prime vytvoreni nove komponenty v CST
    component = mws.invoke('Component');
    component.invoke('New',CComponent);
end